com.google.gwt.cell.client

## Interface IconCellDecorator.Template

- All Superinterfaces:
    SafeHtmlTemplates
  Enclosing class:
    IconCellDecorator<C>

      static interface IconCellDecorator.Template
      extends SafeHtmlTemplates

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.safehtml.client.SafeHtmlTemplates

      `SafeHtmlTemplates.Template`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SafeHtml` | `imageWrapperBottom(SafeStyles styles, SafeHtml image)` The wrapper around the image vertically aligned to the bottom.
    `SafeHtml` | `imageWrapperMiddle(SafeStyles styles, SafeHtml image)` The wrapper around the image vertically aligned to the middle.
    `SafeHtml` | `imageWrapperTop(SafeStyles styles, SafeHtml image)` The wrapper around the image vertically aligned to the top.
    `SafeHtml` | `outerDiv(SafeStyles padding, SafeHtml icon, SafeHtml cellContents)`

- - ### Method Detail

    - #### outerDiv

          @SafeHtmlTemplates.Template(value="<div style=\"{0}position:relative;zoom:1;\">{1}<div>{2}</div></div>")
          SafeHtml outerDiv(SafeStyles padding,
                                                                                                                                     SafeHtml icon,
                                                                                                                                     SafeHtml cellContents)

    - #### imageWrapperBottom

          @SafeHtmlTemplates.Template(value="<div style=\"{0}position:absolute;bottom:0px;line-height:0px;\">{1}</div>")
          SafeHtml imageWrapperBottom(SafeStyles styles,
                                                                                                                                                     SafeHtml image)

      The wrapper around the image vertically aligned to the bottom.

    - #### imageWrapperMiddle

          @SafeHtmlTemplates.Template(value="<div style=\"{0}position:absolute;top:50%;line-height:0px;\">{1}</div>")
          SafeHtml imageWrapperMiddle(SafeStyles styles,
                                                                                                                                                  SafeHtml image)

      The wrapper around the image vertically aligned to the middle.

    - #### imageWrapperTop

          @SafeHtmlTemplates.Template(value="<div style=\"{0}position:absolute;top:0px;line-height:0px;\">{1}</div>")
          SafeHtml imageWrapperTop(SafeStyles styles,
                                                                                                                                               SafeHtml image)

      The wrapper around the image vertically aligned to the top.